org.apache.lucene.queries.payloads

## Interface PayloadDecoder

    public interface PayloadDecoder

Defines a way of converting payloads to float values, for use by `PayloadScoreQuery`

### Field Summary

Fields
`static PayloadDecoder` `FLOAT_DECODER` A `PayloadDecoder` that interprets the bytes of a payload as a float

### Method Summary

All Methods Instance Methods Abstract Methods
`float` `computePayloadFactor(BytesRef payload)` Compute a float value for the given payload

### Field Detail

#### FLOAT_DECODER

    static final PayloadDecoder FLOAT_DECODER

A `PayloadDecoder` that interprets the bytes of a payload as a float

### Method Detail

#### computePayloadFactor

    float computePayloadFactor(BytesRef payload)

Compute a float value for the given payload